Bug 1468860 - iphone cannot discover avahi published print server
iphone cannot discover avahi published print server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
25
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-08 22:07 EDT by Paul Lambert
Modified: 2017-12-12 05:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:25:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lambert 2017-07-08 22:07:42 EDT
Description of problem: 
Configured avahi for airprint server.  Avahi service status shows the service is "established" but iphone does not discover it.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Confgured avahi using this guide
https://wiki.archlinux.org/index.php/avahi

Copied airprint and Test (_http_tcp) service as shown in the guide

[root@BRSINC-01Fed services]# systemctl restart avahi-daemon.service

[root@BRSINC-01Fed services]# systemctl status avahi-daemon.service
● avahi-daemon.service - Avahi mDNS/DNS-SD Stack
   Loaded: loaded (/usr/lib/systemd/system/avahi-daemon.service; enabled; vendor preset: enabled)
   Active: active (running) since Sat 2017-07-08 21:30:34 EDT; 6s ago
 Main PID: 24206 (avahi-daemon)
   Status: "avahi-daemon 0.6.32 starting up."
    Tasks: 2 (limit: 4915)
   CGroup: /system.slice/avahi-daemon.service
           ├─24206 avahi-daemon: running [BRSINC-01Fed.local]
           └─24208 avahi-daemon: chroot helper

Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: Joining mDNS multicast group on interface wlo1.IPv4 with address 10.0.0.235.
Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: New relevant interface wlo1.IPv4 for mDNS.
Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: Network interface enumeration completed.
Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: Registering new address record for 2601:800:c003:c6e0:162d:27ff:fe98:9fe0 on wlo1.*.
Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: Registering new address record for 2601:800:c003:c6e0::1f76 on wlo1.*.
Jul 08 21:30:34 BRSINC-01Fed avahi-daemon[24206]: Registering new address record for 10.0.0.235 on wlo1.IPv4.
Jul 08 21:30:35 BRSINC-01Fed avahi-daemon[24206]: Server startup complete. Host name is BRSINC-01Fed.local. Local service cookie is 2311621680.
Jul 08 21:30:36 BRSINC-01Fed avahi-daemon[24206]: Service "BRSINC-01Fed" (/services/udisks.service) successfully established.
Jul 08 21:30:36 BRSINC-01Fed avahi-daemon[24206]: Service "MX350 Air Printer" (/services/airprint.service) successfully established.
Jul 08 21:30:36 BRSINC-01Fed avahi-daemon[24206]: Service "Test on:BRSINC-01Fed" (/services/airplay.service) successfully established.

when running avahi-discover 
avahi-discover
Browsing domain 'local' on -1.-1 ...
Browsing domain 'hsd1.in.comcast.net' on -1.-1 ...

and I get a dialog box entitled avahi discovery

with > wide area
           hsd1.m.comcast.net

when I run avahi-browse -all
I get nothing.  Command locks up until I force termination

when I go to my iphone, select a photo, click on print and then "select printer" the iphone times out with exit error "No AirPrint Printers Found."

netstat -a | grep mdns
udp        0      0 0.0.0.0:mdns            0.0.0.0:*                          
udp6       0      0 [::]:mdns               [::]:*

firewalld show port 5353 associated with mdns

Also, I want to write my own avahi service.  Where is the config file that associates the <type> to the service such as <type>_http_tcp</type> in the .service file?
Comment 1 Fedora End Of Life 2017-11-16 14:21:06 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:25:00 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.